#!/bin/sh

PACKAGE_VERSION=`dpkg-parsechangelog | egrep '^Version:' | cut -f3 -d ':' | cut -d - -f1`

I386_VERSION=`strings i386/libflashplayer.so|grep LNX|tr ',' '.'|cut -d' ' -f2`
AMD64_VERSION=`strings amd64/libflashplayer.so|grep LNX|tr ',' '.'|cut -d' ' -f2`

if [ $PACKAGE_VERSION != $I386_VERSION ]; then
	echo "Broken i386 version : $I386_VERSION"
	exit 1
else
	echo "OK : $I386_VERSION"
fi
if [ $PACKAGE_VERSION != $AMD64_VERSION ]; then
	echo "Broken amd64 version : $AMD64_VERSION"
	exit 1
else
	echo "OK : $AMD64_VERSION"
fi
